Subject: Re: bug#59996: 30.0.50; Overlays section of Elisp manual still states that overlays scale linearly
From: Eli Zaretskii <[email-masked]>
To: Ihor Radchenko <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 Dec 2022 15:39:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ihor Radchenko <[email-masked]>
> Date: Mon, 12 Dec 2022 09:53:51 +0000
> 
> I am still seeing the following clause in the 41.9 Overlays section of
> Elisp manual:
> 
>        The visual effect of an overlay is the same as of the corresponding
>     text property (*note Text Properties::).  However, due to a different
>     implementation, overlays generally don’t scale well (many operations
>     take a time that is proportional to the number of overlays in the
>     buffer).  If you need to affect the visual appearance of many portions
>     in the buffer, we recommend using text properties.
> 
> Should it be removed now, when overlays are equally performance with
> text properties?

Yes.  I removed it.

I guess that entire section should be audited for inaccuracies now;
reviews and patches are welcome.

Thanks.